OpenTTD Source: SQConvert::HelperT< Tretval(Tcls::*)(Targs...)> Struct Template Reference

OpenTTD Source 15.3

Static Public Member Functions | Static Private Member Functions
SQConvert::HelperT< Tretval(Tcls::*)(Targs...)> Struct Template Reference

The real C++ caller for methods. More...

`#include <squirrel_helper.hpp>`

## Static Public Member Functions
static int | SQCall (Tcls *instance, Tretval(Tcls::*func)(Targs...), HSQUIRRELVM vm)
static Tcls * | SQConstruct (HSQUIRRELVM vm)

## Static Private Member Functions
template<size_t... i>
static int | SQCall (Tcls *instance, Tretval(Tcls::*func)(Targs...), HSQUIRRELVM vm, std::index_sequence< i... >)
template<size_t... i>
static Tcls * | SQConstruct (HSQUIRRELVM vm, std::index_sequence< i... >)

## Detailed Description

template<class Tcls, typename Tretval, typename... Targs>
struct SQConvert::HelperT< Tretval(Tcls::*)(Targs...)>

The real C++ caller for methods.

Definition at line 184 of file squirrel_helper.hpp.

## Member Function Documentation

## ◆ SQCall() [1/2]

template<class Tcls , typename Tretval , typename... Targs>

static int SQConvert::HelperT< Tretval(Tcls::*)(Targs...)>::SQCall | ( | Tcls * | instance,
|  | Tretval(Tcls::*)(Targs...) | func,
|  | HSQUIRRELVM | vm
| ) |  |
| inlinestatic

Definition at line 185 of file squirrel_helper.hpp.

## ◆ SQCall() [2/2]

template<class Tcls , typename Tretval , typename... Targs>
template<size_t... i>

static int SQConvert::HelperT< Tretval(Tcls::*)(Targs...)>::SQCall | ( | Tcls * | instance,
|  | Tretval(Tcls::*)(Targs...) | func,
|  | HSQUIRRELVM | vm,
|  | std::index_sequence< i... > |
| ) |  |
| inlinestaticprivate

Definition at line 197 of file squirrel_helper.hpp.

## ◆ SQConstruct() [1/2]

template<class Tcls , typename Tretval , typename... Targs>

static Tcls * SQConvert::HelperT< Tretval(Tcls::*)(Targs...)>::SQConstruct | ( | HSQUIRRELVM | vm | ) |
| inlinestatic

Definition at line 190 of file squirrel_helper.hpp.

## ◆ SQConstruct() [2/2]

template<class Tcls , typename Tretval , typename... Targs>
template<size_t... i>

static Tcls * SQConvert::HelperT< Tretval(Tcls::*)(Targs...)>::SQConstruct | ( | HSQUIRRELVM | vm,
|  | std::index_sequence< i... > |
| ) |  |
| inlinestaticprivate

Definition at line 213 of file squirrel_helper.hpp.

The documentation for this struct was generated from the following file:

- src/script/squirrel_helper.hpp